Skip to main content
POST
/
payment
/
payments
/
{paymentId}
/
refund
cURL
curl --request POST \
  --url https://gateway.varchev.com/ipg/payment/payments/{paymentId}/refund \
  --header 'Authorization: Bearer <token>' \
  --header 'organizationId: <organizationid>'
{
  "data": {
    "result": {
      "code": 123,
      "description": "<string>"
    },
    "paymentId": "<string>",
    "timestamp": "<string>",
    "paymentBrand": "<string>",
    "paymentMode": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "amount": "<string>",
    "descriptor": "<string>",
    "currency": "<string>",
    "card": {
      "bin": "<string>",
      "last4Digits": "<string>",
      "holder": "<string>",
      "expiryMonth": "<string>",
      "expiryYear": "<string>"
    },
    "transactionStatus": "<string>",
    "merchantTransactionId": "<string>",
    "remark": "<string>",
    "status": {
      "detail": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.varchev.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

organizationId
string
required

Path Parameters

paymentId
string
required

Response

Success

data
object